<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
class Koobi
{
	function koobi_mail($to, $text, $subject='', $fromemail='', $from='', $content_type='', $attach='', $html='', $uploadpath='attachments')
	{
		$row = $GLOBALS['db']->RowQuery("SELECT * FROM " . PREFIX . "_einstellungen");
		
		$row->Mail_Fuss = str_replace('%%OWNER%%', $row->Seitenbetreiber, $row->Mail_Fuss);
		$row->Mail_Fuss = str_replace('%%STREET%%', $row->Strasse, $row->Mail_Fuss);
		$row->Mail_Fuss = str_replace('%%TOWN%%', $row->Stadt, $row->Mail_Fuss);
		
		$row->Mail_Fuss_HTML = str_replace('%%OWNER%%', $row->Seitenbetreiber, $row->Mail_Fuss_HTML);
		$row->Mail_Fuss_HTML = str_replace('%%STREET%%', $row->Strasse, $row->Mail_Fuss_HTML);
		$row->Mail_Fuss_HTML = str_replace('%%TOWN%%', $row->Stadt, $row->Mail_Fuss_HTML);
		
		
		$mail = new PHPMailer;
		$mail->ContentType  = ($row->Mail_Content=='text/plain' || $content_type == 'text') ? "text/plain" : "text/html";
		$mail->ContentType  = ($html==1) ? "text/html" : $mail->ContentType;
		$mail->From     = ($fromemail != "") ? $fromemail : $row->Mail_Absender;
		$mail->FromName = ($from != "") ? $from : $row->Mail_Name;
		$mail->Host     = $row->Mail_Host;
		$mail->Mailer   = $row->Mail_Typ;
		$mail->AddAddress($to);
		$mail->Subject = $subject;
		$mail->Body    = $text . (($mail->ContentType=='text/html') ? "<br /><br />" . $row->Mail_Fuss_HTML :  "\r\n" . $row->Mail_Fuss);
		$mail->Sendmail = $row->Mail_Sendmailpfad;
		$mail->WordWrap = $row->Mail_WordWrap;
		
		if($attach != '')
		{
			if(is_array($attach))
			{
				foreach($attach as $attachment)
				{
					$mail->AddAttachment(BASE_DIR . "/{$uploadpath}/" . $attachment);
				}
			} else {
				#$mail->AddAttachment("HALLO","T.txt");
				$mail->AddAttachment(BASE_DIR . "/{$uploadpath}/" . $attach);
			}
		}
		
		$mail->Send();
		
		#mail('kontakt@dream4.de','Betreff', "Nachricht");
		#echo "SEND --> $to --> $subject --> $row->Mail_Typ";
		if(is_array($attach))
		{
			foreach($attach as $attachment)
			{
				//@unlink(BASE_DIR . "/attachments/" . $attachment);
			}
		} else {
			//@unlink(BASE_DIR . "/attachments/" . $attach);
		}
	}
}
?>